set(EXPRTK_LOCAL_PATH ${CMAKE_CURRENT_LIST_DIR}/external_dependencies/exprtk)

include(FetchContent)

###################
# Download exprtk #
###################
FetchContent_Declare(
    exprtk
    SOURCE_DIR ${EXPRTK_LOCAL_PATH}
    GIT_REPOSITORY https://github.com/ArashPartow/exprtk.git
)

set(FETCHCONTENT_QUIET FALSE)

FetchContent_Populate(exprtk)

find_package(Exprtk)

if(NOT EXPRTK_FOUND)
    message(FATAL_ERROR "Exprtk was not downloaded successfully!")
endif()

